> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Note Mappings

> Get all note answers with mapping information for database creation.



## OpenAPI

````yaml get /notes/{note_id}/mappings
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /notes/{note_id}/mappings:
    get:
      tags:
        - provider
        - scribe
        - note
      summary: Get Note Mappings
      description: Get all note answers with mapping information for database creation.
      operationId: get_note_mappings_notes__note_id__mappings_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: note_id
          in: path
          required: true
          schema:
            type: string
            title: Note Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoteMappingsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NoteMappingsResponse:
      properties:
        noteId:
          type: string
          title: Noteid
        mappings:
          items:
            $ref: '#/components/schemas/NoteAnswerWithMapping'
          type: array
          title: Mappings
      type: object
      required:
        - noteId
        - mappings
      title: NoteMappingsResponse
      description: Response containing all answers with mappings for a note.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NoteAnswerWithMapping:
      properties:
        answer:
          $ref: '#/components/schemas/NoteAnswerDetail'
        question:
          $ref: '#/components/schemas/NoteQuestionDetail'
        mappingKey:
          anyOf:
            - $ref: '#/components/schemas/QuestionMapping'
            - type: 'null'
        mappedValue:
          title: Mappedvalue
      type: object
      required:
        - answer
        - question
      title: NoteAnswerWithMapping
      description: Note answer with mapping information for database creation.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NoteAnswerDetail:
      properties:
        id:
          type: string
          title: Id
        noteId:
          type: string
          title: Noteid
        questionId:
          type: string
          title: Questionid
        data:
          additionalProperties: true
          type: object
          title: Data
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - noteId
        - questionId
        - data
        - createdDate
      title: NoteAnswerDetail
      description: An answer to a note question.
    NoteQuestionDetail:
      properties:
        id:
          type: string
          title: Id
        templateId:
          type: string
          title: Templateid
        position:
          type: integer
          title: Position
        questionType:
          $ref: '#/components/schemas/QuestionType'
        required:
          type: boolean
          title: Required
        isArchived:
          type: boolean
          title: Isarchived
          default: false
        mappingKey:
          anyOf:
            - $ref: '#/components/schemas/QuestionMapping'
            - type: 'null'
        dynamicFieldId:
          anyOf:
            - type: string
            - type: 'null'
          title: Dynamicfieldid
        dynamicFieldName:
          anyOf:
            - type: string
            - type: 'null'
          title: Dynamicfieldname
        data:
          additionalProperties: true
          type: object
          title: Data
      type: object
      required:
        - id
        - templateId
        - position
        - questionType
        - required
        - data
      title: NoteQuestionDetail
      description: >-
        A question in a note template. Similar to form questions but without
        conditions.
    QuestionMapping:
      type: string
      enum:
        - first_name
        - last_name
        - email
        - phone_number
        - date_of_birth
        - gender
        - address
        - address_line_two
        - city
        - state
        - zip_code
        - country
        - weight
        - height
        - allergies
        - medications
        - family_history
        - medical_history
        - prescriptions
        - surgical_history
        - social_history
        - autoimmune_disorders
        - skin_conditions
        - neurological_conditions
        - payment_method
        - primary_insurer_name
        - primary_pverify_code
        - primary_member_id
        - primary_group_id
        - primary_policy_holder_name
        - primary_policy_holder_dob
        - primary_phone_number
        - secondary_insurer_name
        - secondary_pverify_code
        - secondary_member_id
        - secondary_group_id
        - secondary_policy_holder_name
        - secondary_policy_holder_dob
        - secondary_phone_number
      title: QuestionMapping
    QuestionType:
      type: string
      enum:
        - ADDRESS
        - DATE
        - TEXT
        - NUMBER
        - TEXT_AREA
        - SINGLE_SELECT
        - RADIAL_SINGLE_SELECT
        - MULTI_SELECT
        - RADIAL_MULTI_SELECT
        - TOGGLE
        - SIGNATURE
        - FILE_UPLOAD
        - PHONE_NUMBER
        - EMAIL
        - PAYMENT_METHOD
        - TAG
        - DISCLAIMER
        - STATEMENT
        - DOCUMENT
        - FEET_INCHES_HEIGHT
        - POUNDS_WEIGHT
        - CALCULATED_SCORE
        - MEDICATIONS
        - SCRIBE_ATTACHMENTS
      title: QuestionType

````